## initramfs-tools 0.92bjolicloud5

=== debian/changelog ===
initramfs-tools (1:0.92bjolicloud5) robby; urgency=low

  * Fix spurious mknod error messages

 -- Benjamin Ryzman <benjamin@jolicloud.org>  Tue, 08 Jun 2010 17:49:39 +0200

initramfs-tools (1:0.92bjolicloud4) robby; urgency=low

  * Revert "Update all previous initramfs images, not just the
    current/latest image"

 -- Adam McDaniel <adam@jolicloud.org>  Wed, 24 Feb 2010 15:52:59 -0700

initramfs-tools (1:0.92bjolicloud3) robby; urgency=low

  * Change references from vol_id to newer blkid
  * initramfs-tools now depends on util-linux (>= 2.16-1) for blkid
  * Ensure /sbin/blkid is properly installed on the initramfs image
  * Update all previous initramfs images, not just the current/latest image

 -- Adam McDaniel <adam@jolicloud.org>  Fri, 19 Feb 2010 00:59:20 -0700

initramfs-tools (1:0.92bjolicloud2) robby; urgency=low

  * Includes modules.dep in mkinitramfs's cpio archive output

 -- Adam McDaniel <adam@jolicloud.org>  Fri, 04 Dec 2009 13:33:58 +0100

initramfs-tools (1:0.92bjolicloud1) robby; urgency=low

  [Benjamin Ryzman]
  * Initial jolicloud commit

  [Adam McDaniel]
  * Setting Epoch to force downgrade from accidental upgrade to broken
    initramfs-tools (0.93.3jolicloud1) package.

 -- Adam McDaniel <adam@jolicloud.org>  Tue, 03 Nov 2009 13:06:08 -0700

initramfs-tools (0.92bubuntu29) jaunty; urgency=low

  * copy_exec: also avoid picking sse2, neon, and vfp hwcaps versions of libs.
  * Move debhelper and cdbs from -Indep to Build-Depends for clean:.

 -- Loic Minier <lool@dooz.org>  Tue, 14 Apr 2009 11:11:52 +0200

initramfs-tools (0.92bubuntu28) jaunty; urgency=low

  * update-initramfs: copy the logic added in Debian to run flash-kernel after
    the initrd has been generated (if the system is supported by
    flash-kernel); flash-kernel is run twice, but at least the system really
    runs the latest initrd; LP: #358762.

 -- Loic Minier <lool@dooz.org>  Sat, 11 Apr 2009 00:07:04 +0200

initramfs-tools (0.92bubuntu27) jaunty; urgency=low

  * Backport from Debian (LP: #347685):
    - init: Fix boot with LABEL containing one or several '/'. Thanks to
      Andres Salomon <dilinger@debian.org> for testing. (closes: #489008)
    - scripts/local-premount/resume: Fix resume with LABEL containing '/'.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 03 Apr 2009 02:04:34 +0100

initramfs-tools (0.92bubuntu26) jaunty; urgency=low

  * hooks/thermal: Do not load thermal control for macintosh if the device is a PS3. (LP: #346899)

 -- Arnaud Jeansen <arnaud.jeansen@gmail.com>  Thu, 26 Mar 2009 00:41:46 +0100

initramfs-tools (0.92bubuntu25) jaunty; urgency=low

  * mkinitramfs: include the modules.order file.  LP: #296710.

 -- Scott James Remnant <scott@ubuntu.com>  Fri, 13 Mar 2009 16:11:49 +0000

initramfs-tools (0.92bubuntu24) jaunty; urgency=low

  * update-initramfs:
    - when doing set_linked_version, check if the links point
      to a existing initrd.img

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 11 Mar 2009 10:25:42 +0100

initramfs-tools (0.92bubuntu23) jaunty; urgency=low

  * Forgot the top-level MODPROBE_OPTIONS set.

 -- Scott James Remnant <scott@ubuntu.com>  Mon, 09 Mar 2009 22:06:46 +0000

initramfs-tools (0.92bubuntu22) jaunty; urgency=low

  * Replace calls to modprobe -Q with -q.  LP: #340128.

 -- Scott James Remnant <scott@ubuntu.com>  Mon, 09 Mar 2009 21:38:45 +0000

initramfs-tools (0.92bubuntu21) jaunty; urgency=low

  * mkinitramfs: catch errors in find/cpio/gzip pipe (debian bug 514938):
    - git 63cc7b9216d69f413cd5414c96cf2c9a403e03ae
    - git 93654c9230d3817fa57069012a0b06ccb1df09e4

 -- Kees Cook <kees@ubuntu.com>  Sun, 15 Feb 2009 09:48:50 -0800

initramfs-tools (0.92bubuntu20) jaunty; urgency=low

  * scripts/local-premount/resume: wait for usplash drawing routines
    to finish by flushing usplash command buffer before starting resume.

 -- Kees Cook <kees@ubuntu.com>  Sun, 08 Feb 2009 07:34:40 -0800

initramfs-tools (0.92bubuntu19) jaunty; urgency=low

  * hook-functions: Add hid_* modules, since some keyboards will not be
    usable at the initramfs/busybox prompt without them.

 -- Luke Yelavich <themuso@ubuntu.com>  Thu, 29 Jan 2009 07:00:07 +1100

initramfs-tools (0.92bubuntu18) jaunty; urgency=low

  * Add ext4 to the initramfs, in case it stops being built into the kernel.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 08 Jan 2009 13:29:51 +0000

initramfs-tools (0.92bubuntu17) jaunty; urgency=low

  [ Mikael Gerdin ]
  * Create /dev/mem and /dev/zero if video=uvesafb (LP: #285970).

  [ Colin Watson ]
  * Make debug option write debug output to /dev/.initramfs/initramfs.debug
    rather than /tmp/initramfs.debug, so that it can be retrieved after
    boot.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 26 Nov 2008 17:22:18 +0000

initramfs-tools (0.92bubuntu16) intrepid-proposed; urgency=low

  * Added atl1e to the list of NICs built into the initramfs.
    -LP: #292411

 -- Tim Gardner <tim.gardner@canonical.com>  Fri, 14 Nov 2008 11:40:29 -0700

initramfs-tools (0.92bubuntu15) intrepid; urgency=low

  [ Dan Munckton ]
  * Revert "framebuffer: Let udev create fb devices." udev isn't started at
    this point and therefore can't create framebuffer devices. This causes
    usplash not to run on PS3 (LP: #274860).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 01 Oct 2008 16:02:37 +0100

initramfs-tools (0.92bubuntu14) intrepid; urgency=low

  * scripts/functions: Call ipconfig with a one-minute timeout rather than
    waiting forever (LP: #182940).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 01 Oct 2008 14:51:59 +0100

initramfs-tools (0.92bubuntu13) intrepid; urgency=low

  * scripts/local-premount/resume: Fix incorrect resume message by checking
    for swsusp signature before assuming there's a resume about to happen

 -- Matt Zimmerman <mdz@ubuntu.com>  Tue, 16 Sep 2008 11:49:55 +0100

initramfs-tools (0.92bubuntu12) intrepid; urgency=low

  * scripts/functions: must chvt(1) during failure hooks, as console input


=== debian/control ===
Source: initramfs-tools
Section: utils
Priority: optional
Uploaders: Jeff Bailey <jbailey@ubuntu.com>, maximilian attems <maks@debian.org>, David Härdeman <david@hardeman.nu>
Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian kernel team <debian-kernel@lists.debian.org>
Build-Depends: debhelper (>= 4.0.0), cdbs
Standards-Version: 3.7.3
Vcs-Browser: http://git.debian.org/?p=kernel/initramfs-tools.git
Vcs-Git: git://git.debian.org/git/kernel/initramfs-tools.git

Package: initramfs-tools
Architecture: all
Depends: klibc-utils (>= 1.5.9-1), busybox-initramfs, cpio, module-init-tools, udev (>= 117-5), findutils (>= 4.2.24), util-linux (>= 2.16-1)
Provides: linux-initramfs-tool
Description: tools for generating an initramfs
 This package contains tools to create and boot an initramfs for packaged 2.6
 Linux kernel. The initramfs is a gzipped cpio archive. At boot time, the
 kernel unpacks that archive into RAM, mounts and uses it as initial root file
 system. The mounting of the real root file system occurs in early user space.
 klibc provides utilities to setup root. Having the root on EVMS, MD, LVM2,
 LUKS or NFS is also supported.
 Any boot loader with initrd support is able to load an initramfs archive.

## initramfs-tools 0.92bubuntu15

=== debian/control ===
--- 
+++ 
@@ -4,14 +4,14 @@
 Uploaders: Jeff Bailey <jbailey@ubuntu.com>, maximilian attems <maks@debian.org>, David Härdeman <david@hardeman.nu>
 Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian kernel team <debian-kernel@lists.debian.org>
-Build-Depends: debhelper (>= 4.0.0), cdbs
+Build-Depends-Indep: debhelper (>= 4.0.0), cdbs
 Standards-Version: 3.7.3
 Vcs-Browser: http://git.debian.org/?p=kernel/initramfs-tools.git
 Vcs-Git: git://git.debian.org/git/kernel/initramfs-tools.git
 
 Package: initramfs-tools
 Architecture: all
-Depends: klibc-utils (>= 1.5.9-1), busybox-initramfs, cpio, module-init-tools, udev (>= 117-5), findutils (>= 4.2.24), util-linux (>= 2.16-1)
+Depends: klibc-utils (>= 1.5.9-1), busybox-initramfs, cpio, module-init-tools, udev (>= 117-5), findutils (>= 4.2.24)
 Provides: linux-initramfs-tool
 Description: tools for generating an initramfs
  This package contains tools to create and boot an initramfs for packaged 2.6

## initramfs-tools 0.92bubuntu29netbook3

=== debian/changelog ===
initramfs-tools (0.92bubuntu29netbook3) netbook-jaunty; urgency=low

  [ Debbie Beliveau ]
  * init: Remove 'Loading, please wait...' line to clean up boot

 -- Michael Terry <michael.terry@canonical.com>  Wed, 15 Jul 2009 11:26:02 -0400

initramfs-tools (0.92bubuntu29netbook2) netbook-jaunty; urgency=low

  [Loic Minier]
  * update-initramfs: check whether kernel-img.conf exists and postinst_hook
    is set before calling flash-kernel.
  [Cody A.W. Somerville]
  * Revert previous upload as the mobile team is going with this option for now.

 -- Cody A.W. Somerville <cody.somerville@canonical.com>  Tue, 07 Jul 2009 12:07:57 -0300

initramfs-tools (0.92bubuntu29netbook1) netbook-jaunty; urgency=low

  [Loic Minier]
  * update-initramfs: call postinst_hook instead of flash-kernel. 

 -- Cody A.W. Somerville <cody.somerville@canonical.com>  Tue, 07 Jul 2009 10:41:17 -0300

## initramfs-tools 0.92bubuntu29netbook4

=== debian/changelog ===
initramfs-tools (0.92bubuntu29netbook4) netbook-jaunty; urgency=low

  * Back out the postinst grep check before flash-kernel

 -- Michael Frey <michael.frey@canonical.com>  Tue, 29 Sep 2009 14:42:36 -0400

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Uploaders: Jeff Bailey <jbailey@ubuntu.com>, maximilian attems <maks@debian.org>, David Härdeman <david@hardeman.nu>
 Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian kernel team <debian-kernel@lists.debian.org>
-Build-Depends-Indep: debhelper (>= 4.0.0), cdbs
+Build-Depends: debhelper (>= 4.0.0), cdbs
 Standards-Version: 3.7.3
 Vcs-Browser: http://git.debian.org/?p=kernel/initramfs-tools.git
 Vcs-Git: git://git.debian.org/git/kernel/initramfs-tools.git

## initramfs-tools 0.92bubuntu53

=== debian/changelog ===
initramfs-tools (0.92bubuntu53) karmic; urgency=low

  * Explicitly check for fb0 so we don't false-positive on the graphics
    subsystem having been initialised (should cure some issues with usplash
    using svgalib instead of KMS, and vanishing part way through).
  * Don't force load the vesafb driver, we never did this before, so it
    seems silly to do it now.

 -- Scott James Remnant <scott@ubuntu.com>  Wed, 14 Oct 2009 04:41:37 +0100

initramfs-tools (0.92bubuntu52) karmic; urgency=low

  * Include all usb/storage drivers, not just usb-storage.ko  LP: #419231

 -- Scott James Remnant <scott@ubuntu.com>  Fri, 09 Oct 2009 15:34:43 +0100

initramfs-tools (0.92bubuntu51) karmic; urgency=low

  * scripts/init-top/framebuffer: wait for udev to settle before loading
    command-line specified framebuffer driver to ensure that any needed
    device nodes are available.  LP: #437871.

 -- Scott James Remnant <scott@ubuntu.com>  Sat, 03 Oct 2009 07:55:35 +0100

initramfs-tools (0.92bubuntu50) karmic; urgency=low

  LP: #392039, #431812.
  * hooks/framebuffer:
    - rename from hooks/kernelextras, this is much more descriptive and
      actually matches the associated script
    - copy kernel-mode-setting drivers (drivers/gpu) into the initramfs
    - include the vesafb driver, which we previously relied on being in
      the special initrd directory
    - don't force load fbcon
    - don't force load things from the initrd directory
  * scripts/init-top/framebuffer:
    - add udev as a pre-requisite
    - remove mknods since udev will make those now
    - remove intel_agp and i915 code
    - don't unset MODPROBE_OPTIONS, just override for the modprobe call
      (since we want video= to override the blacklist)
    - if we didn't pick up a framebuffer from vga= or video=, and don't
      have one from udev, wait for udev to finish then if we still don't
      have one, load vesafb
    - settle after loading drivers to ensure the device is ready
  * debian/control:
    - increase dependency on udev to that which loads fbcon
    - add breaks on older usplash to force upgrade

 -- Scott James Remnant <scott@ubuntu.com>  Wed, 23 Sep 2009 14:25:00 -0700

initramfs-tools (0.92bubuntu49) karmic; urgency=low

  * Re-add the OPTION=VAR checking to scripts/functions, since we actually do
    need this when calling the hooks at initramfs generation; but add a second
    argument to call_scripts, "optional", that we check for before doing these
    checks since we definitely don't want this to be conditional in the
    initramfs at runtime.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 22 Sep 2009 09:44:00 -0700

initramfs-tools (0.92bubuntu48) karmic; urgency=low

   * Don't do OPTION=VAR checking at runtime, only do it when assembling the
     initramfs; this spares us having to add extra config files to the
     initramfs to enable functionality that's already been selected.
     LP: #433773.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 22 Sep 2009 00:17:13 -0700

initramfs-tools (0.92bubuntu47) karmic; urgency=low

  * Silence output when trying to resume, since the only output is bitching
    that we can't resume because we didn't hibernate in the first place.
    LP: #432585.

 -- Scott James Remnant <scott@ubuntu.com>  Mon, 21 Sep 2009 16:07:10 -0700

initramfs-tools (0.92bubuntu46) karmic; urgency=low

  FFE LP: #427356.

  * mkinitramfs: Allow scripts to specify OPTION=VAR, and unless VAR is
    set to something other than "n", the script will not be included.
  * scripts/functions: Likewise when running scripts (for hooks)

  * Make usplash-related components optional, you need to set USPLASH=y
    for these to be included:
    - hooks/kernelextras: which includes the KMS driver
    - scripts/init-top/framebuffer: which loads it

 -- Scott James Remnant <scott@ubuntu.com>  Tue, 15 Sep 2009 03:30:12 +0100

initramfs-tools (0.92bubuntu45) karmic; urgency=low

  * Depend on busybox-initramfs (>= 1:1.13.3-1ubuntu5) to ensure that we
    have gzip (LP: #428282).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 14 Sep 2009 10:23:40 +0100

initramfs-tools (0.92bubuntu44) karmic; urgency=low

  * Revert mxcfb changes of 0.92bubuntu40 and 0.92bubuntu41 as a more complete
    workaround was put in usplash.

 -- Loïc Minier <loic.minier@ubuntu.com>  Fri, 11 Sep 2009 21:46:45 +0200

initramfs-tools (0.92bubuntu43) karmic; urgency=low

  * Move "Loading, please wait..." message to after /proc is mounted, so
    that we can inspect /proc/cmdline.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 04 Sep 2009 14:23:05 +0100

initramfs-tools (0.92bubuntu42) karmic; urgency=low

  * Don't display "Loading, please wait..." message when 'quiet' is in
    /proc/cmdline.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 03 Sep 2009 23:31:28 +0100

initramfs-tools (0.92bubuntu41) karmic; urgency=low

  *  fix quoting for mxcfb in scripts/init-top/framebuffer

 -- Oliver Grawert <ogra@ubuntu.com>  Sun, 30 Aug 2009 10:28:06 +0200

initramfs-tools (0.92bubuntu40) karmic; urgency=low

  * add a hack to scripts/init-top/framebuffer for handling the yet broken
    mxcfb as described in LP bug #420555, so usplash can be used on the
    imx51 architecture based devices

 -- Oliver Grawert <ogra@ubuntu.com>  Sat, 29 Aug 2009 11:37:27 +0200

initramfs-tools (0.92bubuntu39) karmic; urgency=low

  * auto_add_modules net: Load virtio_net, to make testing in kvm easier.
  * init: Export IPOPTS (LP: #364626).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 11 Aug 2009 12:37:56 +0100

initramfs-tools (0.92bubuntu38) karmic; urgency=low

  * change --print-installation-architecture to --print-architecture in
    mkinitramfs and hook-functions to quieten down dpkg warning during
    update-initramfs

 -- Oliver Grawert <ogra@ubuntu.com>  Tue, 07 Jul 2009 21:33:50 +0200

initramfs-tools (0.92bubuntu37) karmic; urgency=low

  * update-initramfs: Fix run_bootloader() to check for grub2
  patch from debian bug #511514



=== debian/control ===
--- 
+++ 
@@ -11,8 +11,9 @@
 
 Package: initramfs-tools
 Architecture: all
-Depends: klibc-utils (>= 1.5.9-1), busybox-initramfs, cpio, module-init-tools, udev (>= 117-5), findutils (>= 4.2.24)
+Depends: klibc-utils (>= 1.5.9-1), busybox-initramfs (>= 1:1.13.3-1ubuntu5), cpio, module-init-tools, udev (>= 147~-5), findutils (>= 4.2.24), util-linux (>> 2.15~rc1)
 Provides: linux-initramfs-tool
+Breaks: usplash (<< 0.5.38)
 Description: tools for generating an initramfs
  This package contains tools to create and boot an initramfs for packaged 2.6
  Linux kernel. The initramfs is a gzipped cpio archive. At boot time, the

## initramfs-tools 0.92bubuntu78

=== src/Makefile ===
UDEV_CFLAGS = $(shell pkg-config --cflags libudev)
UDEV_LIBS = $(shell pkg-config --libs libudev)

CC = gcc
CFLAGS = -g -Wall -O2 $(UDEV_CFLAGS)
LDFLAGS =


.PHONY: all
all: wait-for-root

wait-for-root: wait-for-root.o
	$(CC) $(LDFLAGS) -o $@ $< $(UDEV_LIBS)

.PHONY: clean
clean:
	rm -f wait-for-root.o wait-for-root core *~

=== debian/changelog ===
initramfs-tools (0.92bubuntu78) lucid; urgency=low

  * hooks/compcache: Escape $-expansions inside <<EOF (thanks, Eugene San;
    LP: #569317).

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 26 Apr 2010 16:15:57 +0100

initramfs-tools (0.92bubuntu77) lucid; urgency=low

  * Add a new 'fixrtc' script that tries to set the system clock forward
    based on the last mount time of the root disk; without this kludge,
    systems without a working RTC will end up in a perpetual reboot loop.
    Thanks to Dave Martin <Dave.Martin@arm.com> for the patch.  LP: #563618.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 23 Apr 2010 14:55:24 -0700

initramfs-tools (0.92bubuntu76) lucid; urgency=low

  * hooks/compcache: add option to disable usage of compcache completely on
    the kernel cmdline using the nocompcache option

 -- Oliver Grawert <ogra@ubuntu.com>  Thu, 22 Apr 2010 14:53:05 +0200

initramfs-tools (0.92bubuntu75) lucid; urgency=low

  * When specifying a network interface by MAC address, set DEVICE to (e.g.)
    eth0 rather than /sys/class/net/eth0 (LP: #546964).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 21 Apr 2010 12:40:42 +0100

initramfs-tools (0.92bubuntu74) lucid; urgency=low

  * debian/control, debian/rules:
    - force libc6 dependency to >= 2.11 (and libc6.1 on ia64, the libc6
      has a different packages name on this architecture) to workaround a
      bug in libapt  when it orders the install for essential packages
      (LP: #559582)
      This can be removed after lucid

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 16 Apr 2010 13:13:50 +0200

initramfs-tools (0.92bubuntu73) lucid; urgency=low

  * Change to ${DESTDIR} before running find to filter out looping or broken
    symlinks, to avoid tickling a find bug.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 14 Apr 2010 23:33:22 +0100

initramfs-tools (0.92bubuntu72) lucid; urgency=low

  * make sure we can use mmc cards for / and add a proper sysfs handler,
    (mmc always uses numbering in the device name like mmcblk[0-9]p[0-n], make
    sure hook-functions only cuts off the partition but not the device number)

 -- Oliver Grawert <ogra@ubuntu.com>  Wed, 14 Apr 2010 11:40:30 +0200

initramfs-tools (0.92bubuntu71) lucid; urgency=low

  * init:
    - mount /dev/pts as well as /dev so we can redirect the console early. 
    - load the netconsole module when netconsole=* placed on the kernel
      command-line.

 -- Scott James Remnant <scott@ubuntu.com>  Fri, 26 Mar 2010 14:45:26 +0000

initramfs-tools (0.92bubuntu70) lucid; urgency=low

  * Filter out looping or broken symlinks from the initramfs, since they
    cause cpio to explode (LP: #540686).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 26 Mar 2010 13:08:05 +0000

initramfs-tools (0.92bubuntu69) lucid; urgency=low

  * scripts/init-top/blacklist: move vga16fb blacklisting before the
    bail-out logic.
  * scripts/init-top/framebuffer: create "fbmode" argument to force allow
    foring a mode via fb /sys interfaces, for framebuffers that do not
    correctly handle setting mode via module options.

 -- Kees Cook <kees@ubuntu.com>  Sat, 20 Mar 2010 13:12:25 -0700

initramfs-tools (0.92bubuntu68) lucid; urgency=low

  * Backport from Debian:
    - hook-functions: Cope with partitions over 9 (LP: #539577).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 19 Mar 2010 18:57:43 +0000

initramfs-tools (0.92bubuntu67) lucid; urgency=low

  * debian/control:
    - make the Breaks: upslash (<< 0.5.50) a Conflicts to help the
      apt resolver on hardy to lucid upgrades

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 05 Mar 2010 13:25:29 +0100

initramfs-tools (0.92bubuntu66) lucid; urgency=low

  * scripts/local-premount/resume: wait-for-root will handle both UUID= and
    /dev/disk/by-uuid, but /bin/resume from klibc will only handle the latter,
    so revert the changes from 0.92bubuntu59 that dropped our fix-up of
    device name.  LP: #499940.
  * scripts/local-premount/resume: also recognize 'swsuspend' as a valid fs
    type for a hibernation partition, since this is what udev returns for the
    in-kernel hibernate/resume handling.  Thanks to Peter Clifton for noticing
    this!
  * scripts/local-premount/resume: call 'plymouth message' before resuming,
    to notify the user of the reason for the delay if the plymouth theme
    supports it.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 22 Feb 2010 00:20:22 -0800

initramfs-tools (0.92bubuntu65) lucid; urgency=low

  * scripts/init-premount/blacklist: Move to init-top so it has a chance
    of running before udev.
  * scripts/init-top/blacklist: Automatically blacklist vga16fb when vga=
    or video= specified on kernel command-line. 

 -- Scott James Remnant <scott@ubuntu.com>  Wed, 17 Feb 2010 12:35:22 +0000

initramfs-tools (0.92bubuntu64) lucid; urgency=low

  * Allow specifying multiple break points using a comma delimiter.

 -- Evan Dandrea <evand@ubuntu.com>  Wed, 10 Feb 2010 11:18:26 +0000

initramfs-tools (0.92bubuntu63) lucid; urgency=low

  * init, scripts/functions: Add support for specifying a network interface
    by MAC address, using hwaddr= on the command line or HWADDR in an
    initramfs configuration file (LP: #473036).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 05 Feb 2010 11:49:34 -0800

initramfs-tools (0.92bubuntu62) lucid; urgency=low

  * src/wait-for-root.c:
    - device records we obtain from udev may not have a device node name
      yet, check to avoid strcmp between NULL and our path.  LP: #499422.
    - device records from the queue may not exist at all, check to avoid
      calling udev_device_unref on NULL (which should be safe anyway).
    - eliminate a race condition; by checking the filesystem before the
      queue, there was a small chance that udev could finish processing
      between our calls

 -- Scott James Remnant <scott@ubuntu.com>  Tue, 22 Dec 2009 19:30:01 +0000

initramfs-tools (0.92bubuntu61) lucid; urgency=low



=== debian/control ===
Source: initramfs-tools
Section: utils
Priority: optional
Uploaders: Jeff Bailey <jbailey@ubuntu.com>, maximilian attems <maks@debian.org>, David Härdeman <david@hardeman.nu>
Maintainer: Ubuntu Kernel Team <kernel-team@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian kernel team <debian-kernel@lists.debian.org>
Build-Depends: debhelper (>= 4.0.0), cdbs, pkg-config, libudev-dev
Standards-Version: 3.7.3
Vcs-Browser: http://git.debian.org/?p=kernel/initramfs-tools.git
Vcs-Git: git://git.debian.org/git/kernel/initramfs-tools.git

Package: initramfs-tools
Architecture: all
Depends: initramfs-tools-bin (= ${binary:Version}), klibc-utils (>= 1.5.9-1), busybox-initramfs (>= 1:1.13.3-1ubuntu5), cpio, module-init-tools, udev (>= 147~-5), findutils (>= 4.2.24), util-linux (>> 2.15~rc1)
Provides: linux-initramfs-tool
Breaks: mountall (<< 2.0~)
Conflicts: usplash (<< 0.5.50)
Description: tools for generating an initramfs
 This package contains tools to create and boot an initramfs for packaged 2.6
 Linux kernel. The initramfs is a gzipped cpio archive. At boot time, the
 kernel unpacks that archive into RAM, mounts and uses it as initial root file
 system. The mounting of the real root file system occurs in early user space.
 klibc provides utilities to setup root. Having the root on EVMS, MD, LVM2,
 LUKS or NFS is also supported.
 Any boot loader with initrd support is able to load an initramfs archive.

Package: initramfs-tools-bin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libc6 (>= 2.11) [armel amd64 i386 powerpc sparc], libc6.1 (>= 2.11) [ia64]
Description: binaries used by initramfs-tools
 This package contains binaries used inside the initramfs images generated
 by initramfs-tools.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk

pre-build::
	chmod +x init mkinitramfs
	chmod +x hooks/*
	for x in `find scripts/ -maxdepth 1 -type d | tail -n+2`; do \
	  chmod -R +x $$x; \
	done

install/initramfs-tools::
	mkdir -p debian/initramfs-tools/usr/share/initramfs-tools/scripts/panic
	sed -e "/^OPTION=/d" \
		< scripts/init-top/keymap \
		> debian/initramfs-tools/usr/share/initramfs-tools/scripts/panic/keymap

build/initramfs-tools-bin::
	make -C src

cleanbuilddir/initramfs-tools-bin::
	make -C src clean

## initramfs-tools 0.92m~bpo40+1

=== debian/changelog ===
initramfs-tools (0.92m~bpo40+1) etch-backports; urgency=low

  * Rebuild for etch.

 -- Norbert Tretkowski <nobse@debian.org>  Mon, 22 Dec 2008 13:00:56 +0100

initramfs-tools (0.92m) unstable; urgency=medium

  [ Colin Watson ]
  * scripts/functions: Call ipconfig with a one-minute timeout.
  * Make debug option write to /dev/.initramfs/initramfs.debug,
    so that it can be retrieved after boot.

  [ Julien Danjou ]
  * scripts/functions: Wrong check for udevadm in functions. (closes: #507059)

  [ maximilian attems ]
  * scripts/functions: fix not set break variable. (closes: #502058)
  * MODULES=dep fix for ida devices.
  * hook-functions: alphebetize net drivers, fix typhoon typo.
  * Add atl1e, cxgb, ixgb, ixgbe, mlx4_core, netxen_nic, sfc, tehuti to
    net module list. (closes: #503216)
  * nuke 0.92k goof clean up.
  * postrm: set -e flag.
  * Revert "framebuffer: Let udev create fb devices."
  * scripts/functions: comment fix path to moved linux-2.6
    Documentation.
  * init: Don't leak initramfs-tools exported variables.
    (closes: #426465, #505440)

  [ dann frazier ]
  * Fix MODULES=dep for cciss devices. (closes: #507619)

  [ Michal Pokrywka ]
  * framebuffer: Add support for uvesafb. (closes: #502056)

  [ Andres Salomon ]
  * fix redboot partition support. (closes: #504555)

 -- maximilian attems <maks@debian.org>  Tue, 16 Dec 2008 16:01:44 +0100

initramfs-tools (0.92l) unstable; urgency=high

  * Revert "initramfs-tools: Add support for linux-2.6 make deb-pkg
    target" (closes: #499270) thanks Vincent Danjean <vdanjean@debian.org>.

 -- maximilian attems <maks@debian.org>  Wed, 17 Sep 2008 15:38:05 +0200

initramfs-tools (0.92k) unstable; urgency=high

  [ Martin Michlmayr ]
  * update initramfs.conf according to latest Debian Installer.
  * update-initramfs: don't run glantank-update-kernel.

  [ maximilian attems ]
  * auto_add_modules: add dasd_diag_mod to dasd section.
  * initramfs-tools: Add support for linux-2.6 make deb-pkg target.

 -- maximilian attems <maks@debian.org>  Tue, 16 Sep 2008 14:55:04 +0200

initramfs-tools (0.92j) unstable; urgency=high

  [ Gerfried Fuchs ]
  * initramfs-tools.8: Nuke useless bold spaces.
  * initramfs-tools.8: Fix manpage-has-errors-from-man.

  [ maximilian attems ]
  * Readd zfcp to auto_add_modules. (closes: #498698)
  * Add dasd_diag_mod to auto_add_modules block section
    Thanks Bastian Blank <waldi@debian.org>.

  [ Martin Michlmayr ]
  * initramfs.conf: Mention possible value overriding by d-i for
    example. (closes: #498712)

 -- maximilian attems <maks@debian.org>  Sat, 13 Sep 2008 12:12:02 +0200

initramfs-tools (0.92i) unstable; urgency=high

  * MODULES=dep fix for root lvm on md. (closes: #498237)
    Thanks Rod Whitby <rod@whitby.id.au> for report and test.

 -- maximilian attems <maks@debian.org>  Mon, 08 Sep 2008 16:13:24 +0200

initramfs-tools (0.92g) unstable; urgency=high

  [ maximilian attems ]
  * wait_for_udev: s/udevsettle/udevadm/ for upgrades after Lenny.
  * auto_add_modules: Add ext4 and ext4dev. (closes: #494922)

  [ Andres Salomon ]
  * Fix parse_numeric() to ignore non hex root string prefixes aka
    root=mtd0 on OLPC. see #497133

 -- maximilian attems <maks@debian.org>  Tue, 02 Sep 2008 17:50:32 +0200

initramfs-tools (0.92f) unstable; urgency=medium

  [ maximilian attems ]
  * mkinitramfs: only lvm2 initramfs has busybox dep. (closes: #490875)
  * mkinitramfs: Fix usage and man outfile arg is not optional.
    (closes: #493238)
  * preinst fix vol_id path. (closes: #494433)
  * update-initramfs: run_bootloader() invoke flash-kernel and glantank-
    update-kernel in order to have latest initramfs flashed on triggered
    update. Thanks to Joey Hess <joeyh@debian.org>.
  * debian/control: Newer standards version without changes.

  [ Chris Lamb ]
  * make log_begin_msg not emit trailing newline (closes: #494257)

  [ Martin Michlmayr ]
  * MODULES=dep boot fix for Orion. (closes: #494027)

 -- maximilian attems <maks@debian.org>  Tue, 12 Aug 2008 11:09:11 +0200

initramfs-tools (0.92e) unstable; urgency=medium

  * udevhelper hook: drop ide.agent.

 -- maximilian attems <maks@debian.org>  Mon, 07 Jul 2008 13:52:54 +0200

initramfs-tools (0.92d) unstable; urgency=low

  * Ubuntu merge
    - More meaningful text for no root device panic from Ubuntu.
    - Add virtio_pci, udf for MODULES=most root device support.
    - usplash pulsates: drop code to increment a progress bar after
      each message.
    - initramfs-tools.preinst: Try to use UUID for resume device.
    - add boot script loading ide-generic on all_generic_ide cmdline.
      Thanks Frans Pop <elendil@planet.nl> for report. (closes: #485786) 
  * init: add possible mountroot break (closes: #488963)
  * initramfs-tools.8: document UUID usage for root and all_generic_ide.
    (closes: #489186)
  * debian/initramfs-tools.preinst: try with different vol_id pathes.

 -- maximilian attems <maks@debian.org>  Sat, 05 Jul 2008 02:36:10 +0200

initramfs-tools (0.92c) unstable; urgency=low

  [ maximilian attems ]
  * doc: fix date string of manual pages.
  * MODULES=most add mmc host and card drivers for OLPC. (closes: #483431)
  * update-initramfs.conf.5: document backup_initramfs variable.
    (closes: #475430)
  * initramfs-tools.8: Document "break" and "panic" behaviour.
    (closes: #481196)
  * wait_for_udev(): simplify, no need for logging.

  [ martin f. krafft ]
  * Wait for udevsettle after -top scripts ran
  * init: Remove extra ellipses

 -- maximilian attems <maks@debian.org>  Sat, 05 Jul 2008 00:31:06 +0200

=== debian/control ===
Source: initramfs-tools
Section: utils
Priority: optional
Uploaders: Jeff Bailey <jbailey@ubuntu.com>, maximilian attems <maks@debian.org>, David Härdeman <david@hardeman.nu>
Maintainer: Debian kernel team <debian-kernel@lists.debian.org>
Build-Depends: debhelper (>= 4.1.0), cdbs
Standards-Version: 3.8.0
Vcs-Browser: http://git.debian.org/?p=kernel/initramfs-tools.git
Vcs-Git: git://git.debian.org/git/kernel/initramfs-tools.git

Package: initramfs-tools
Architecture: all
Recommends: busybox (>= 1:1.01-3) | busybox-initramfs
Depends: klibc-utils (>= 1.5.9-1), cpio, module-init-tools, udev (>= 0.086-1), findutils (>= 4.2.24)
Provides: linux-initramfs-tool
Description: tools for generating an initramfs
 This package contains tools to create and boot an initramfs for packaged 2.6
 Linux kernel. The initramfs is a gzipped cpio archive. At boot time, the
 kernel unpacks that archive into RAM, mounts and uses it as initial root file
 system. The mounting of the real root file system occurs in early user space.
 klibc provides utilities to setup root. Having the root on EVMS, MD, LVM2,
 LUKS or NFS is also supported.
 Any boot loader with initrd support is able to load an initramfs archive.

## initramfs-tools 0.92o

=== debian/changelog ===
initramfs-tools (0.92o) unstable; urgency=high

  * configure_networking: Raise ipconfig timeout to 180 seconds.
    Thanks Norbert Tretkowski <norbert@tretkowski.de> for report.
    (closes: #511085)

 -- maximilian attems <maks@debian.org>  Wed, 07 Jan 2009 15:16:14 +0100

initramfs-tools (0.92n) unstable; urgency=high

  [ Eugene Paskevich ]
  * hook-functions: Fix MODULES=dep for lvm LABEL fstab notation.
    (closes: #508906)

  [ maximilian attems ]
  * all_generic_ide: Also parse boolean bootoption. (closes: #507805)
  * initramfs-tools.8: Document where to look up NFSOPTS. (closes: #502927)
  * update-initramfs.8: List -d and mark the non-optional as such.

  [ S. Sakar ]
  * hook-functions: MODULES=dep fix encrypted loop device.
    (closes: #499666)

 -- maximilian attems <maks@debian.org>  Fri, 19 Dec 2008 14:03:13 +0100

## initramfs-tools 0.94.4~bpo50+1

=== debian/changelog ===
initramfs-tools (0.94.4~bpo50+1) lenny-backports; urgency=low

  * Rebuild for lenny.

 -- Norbert Tretkowski <norbert@tretkowski.de>  Wed, 26 May 2010 09:10:14 +0200

initramfs-tools (0.94.4) unstable; urgency=low

  * init: fix hardcoded resume handling. (Closes: #576700)

 -- maximilian attems <maks@debian.org>  Thu, 08 Apr 2010 06:02:28 +0200

initramfs-tools (0.94.3) unstable; urgency=low

  * debian/control: Add Breaks against experimental findutils.
    (closes: #576677)

 -- maximilian attems <maks@debian.org>  Thu, 08 Apr 2010 03:50:28 +0200

initramfs-tools (0.94.2) unstable; urgency=low

  * debian/control: amend Breaks for exp mdadm.

 -- maximilian attems <maks@debian.org>  Tue, 06 Apr 2010 23:50:06 +0200

initramfs-tools (0.94.1) unstable; urgency=low

  * debian/control: Add a breaks mdadm.
  * debian/control: Fix Breaks version comparison.

 -- maximilian attems <maks@debian.org>  Tue, 06 Apr 2010 16:18:25 +0200

initramfs-tools (0.94) unstable; urgency=low

  * The "Litte Bang" release

  [ maximilian attems ]
  * Nuke kernelextras hooks.
  * Create a klibc hook script.
  * Redefinde MODULES=most to not carry any fb driver per default.
  * Nuke framebuffer boot script.
  * Revert "hook-functions: Add hid_* modules."
  * Move busybox addition to a hook script.
  * mkinitramfs fix comment.
  * hook-functions: Fix mounted /sys check for openvz container.
  * initramfs-tools.8: fix boot example script to execute.
    scripts/functions. (closes: #545728)
  * Fix out-of-date-standards-version.
  * /etc/kernel hook script support for make deb-pkg generated linux-images
    and kernel-package. (closes: #523735, #561289)
  * update-initramfs: allow -t takeover on delete.
  * /etc/kernel/postrm.d/i-t: use now takeover on delete.
    (closes: #524534, #547365, #559619)
  * Nuke useless unused dir.
  * kernel hook scripts: Fix typo, add comments.
  * hook-funcitions: Only warn about missing firmware if /proc/modules
    exists. (closes: #560266, #575154)
  * mkinitramfs: Be opportunistic when calling modprobe thus showing
    errors. (closes: #554873)
  * copy_exec: Check if ldd is around.
  * scripts/local: Use blkid as backup fstype detection. (closes: #568527)
  * mkinitramfs: only copy modprobe conf files. (closes: #506533)
  * blacklist earlier at init-top stage.
  * scripts/local: fix blkid invocation.
  * init: export and unset BOOTIF.
  * init: rexport resume to reallow it's hardcoded usage. (closes: #572858)
  * update-initramfs: -d delete .bak file. (closes: #559535)
  * control: bump standards version without changes.
  * control: Clean up Uploaders field.
  * switch from cdbs to debhelper 7.
  * update-initramfs: Stop second guessing lilo usage. (closes: #574553)
  * mkinitramfs: allow to build initramfs for unmodular linux images.
    (closes: #415474, #433708)
  * initramfs.conf.5: document UMASK variable for sensitive initramfs.
    (closes: #536195)
  * update-initramfs: only run elilo if configured. (closes: #534201)
  * update-initramfs: fix previous elilo commit.
  * MODULES=DEP Use driver/module syfs attribute. (closes: #567189)
  * panic: quote variable.
  * MODULES=DEP: Check rootfs on mkinitramfs. (closes: #519800)
  * Use ata_generic driver on all_generic_ide bootarg
  * scripts/functions: add get_fstype() from scripts/local. (closes: #487409)
  * mkinitramfs.8: update date.
  * Keep acpi modules in initramfs so that udev can load them early.
  * mkinitramfs: no longer copy depmod.
  * init: Silence "Loading essential drivers..." on quiet boot.
  * hook-functions: Add btrfs to base modules.
  * init: export BOOT for casper and friends.
  * hooks/klibc: Keep gzip in initramfs.
  * modernize docs to todays standards.
  * examples: shipp old framebuffer boot script.
  * initramfs.conf.5, update-initramfs.conf.5: Add FILES section.
    (closes: #565386)
  * mkinitramfs: be silent if no modules.map was generated in first place.
  * debian/control: Add a breaks cryptsetup.

  [ Tormod Volden ]
  * blacklist boot hook write to /etc/modprobe.d/initramfs.conf.
    (closes: #541864)

  [ Michael Prokop ]
  * Fix path to nfsroot.txt in documentation.
  * hook-functions: Avoid firmware copy error. (closes: #570678)

  [ Joey Hess ]
  * scripts/local: avoid mount -t unknown. (closes: #567065)

  [ Avi Rozen ]
  * mkinitramfs: add all usb storage devices. (closes: #543568)

  [ Ferenc Wagner ]
  * initramfs-tools: make the panic argument available in the rescue
    shell. (closes: #569033)

  [ Maximilian Gass ]
  * mkinitramfs: KEYMAP option fails to work due to missing keymap.
    (closes: #565416)

  [ Vagrant Cascadian ]
  * configure_networking: support BOOTIF variable set by pxelinux.
    (closes: #535008)

  [ Ben Hutchings ]
  * copy_modules_dir: Take a list of exclusions after the base directory.
  * auto_add_modules: Copy all modules from net, excluding some
    subdirectories.

  [ Scott James Remnant ]
  * init: Mount devtmpfs on /dev.
  * mkinitramfs: Call depmod before packing the initramfs.
    (closes: #465760, #562561)
  * init: load the netconsole module with netconsole bootarg
  * init: mount /dev/pts as well as /dev.

  [ Ben Collins ]
  * update-initramfs: Default to not keep .bak backups.

  [ Piotr Lewandowski ]
  * update-initramfs breaks if /etc/mtab is a symlink to /proc/mounts.
    (closes: #525606)

  [ Martin Michlmayr ]
  * MODULES=dep fix boot with MMC. (closes: #548711)

  [ Nikolaus Schulz ]
  * hook-functions: let dep_add_modules() recurse into lvm slave devices.
    (closes: 573761)

  [ Anna Jonna Armannsdottir ]
  * configure_networking: Try repeatedly ipconfig with increasing
    timeout.

  [ Colin Watson ]
  * mkinitramfs: Filter out looping or broken symlinks from the
    initramfs. (closes: #575157)
  * mkinitramfs: set initramfs root to 755.

  [ Bert Schulze ]
  * initramfs-tools: support different compression tools in mkinitramfs.
    (closes: #533903)
  * mkinitramfs: -c compression support / commandline override.


=== debian/control ===
Source: initramfs-tools
Section: utils
Priority: optional
Uploaders: maximilian attems <maks@debian.org>
Maintainer: Debian kernel team <debian-kernel@lists.debian.org>
Build-Depends: debhelper (>= 7.0)
Standards-Version: 3.8.4
Vcs-Browser: http://git.debian.org/?p=kernel/initramfs-tools.git
Vcs-Git: git://git.debian.org/git/kernel/initramfs-tools.git

Package: initramfs-tools
Architecture: all
Recommends: busybox (>= 1:1.01-3) | busybox-initramfs
Depends: klibc-utils (>= 1.5.9-1), cpio, module-init-tools, udev (>= 0.086-1), findutils (>= 4.2.24), ${misc:Depends}
Breaks: cryptsetup (<= 2:1.1.0-2), mdadm (= 3.1.1-1+incremental+4), mdadm (= 3.1.1-1+incremental+3), mdadm (= 3.1.1-1+incremental+2), mdadm (= 3.1.1-1+incremental+1), findutils (= 4.5.7-1)
Provides: linux-initramfs-tool
Description: tools for generating an initramfs
 This package contains tools to create and boot an initramfs for packaged 2.6
 Linux kernel. The initramfs is a gzipped cpio archive. At boot time, the
 kernel unpacks that archive into RAM, mounts and uses it as initial root file
 system. The mounting of the real root file system occurs in early user space.
 klibc provides utilities to setup root. Having the root on MD, LVM2, LUKS or
 NFS is also supported.
 Any boot loader with initrd support is able to load an initramfs archive.
